searchData={"items":[{"type":"module","title":"SSS","doc":"Documentation for `SSS`.","ref":"SSS.html"},{"type":"function","title":"SSS.combine/2","doc":"Takes a string array of shares encoded in Base64 or Hex created via Shamir's Algorithm\n    Note: the polynomial will converge if the specified minimum number of shares\n          or more are passed to this function. Passing thus does not affect it\n          Passing fewer however, simply means that the returned secret is wrong.","ref":"SSS.html#combine/2"},{"type":"function","title":"SSS.combine!/2","doc":"Takes a string array of shares encoded in Base64 or Hex created via Shamir's Algorithm\n    Note: the polynomial will converge if the specified minimum number of shares\n          or more are passed to this function. Passing thus does not affect it\n          Passing fewer however, simply means that the returned secret is wrong.","ref":"SSS.html#combine!/2"},{"type":"function","title":"SSS.create/4","doc":"Returns a new array of secret shares (encoding x,y pairs as Base64 or Hex strings)\ncreated by Shamir's Secret Sharing Algorithm requiring a minimum number of\nshare to recreate, of length shares, from the input secret raw as a string.","ref":"SSS.html#create/4"},{"type":"function","title":"SSS.create!/4","doc":"Returns a new array of secret shares (encoding x,y pairs as Base64 or Hex strings)\ncreated by Shamir's Secret Sharing Algorithm requiring a minimum number of\nshare to recreate, of length shares, from the input secret raw as a string.","ref":"SSS.html#create!/4"},{"type":"function","title":"SSS.decode_share_base64/1","doc":"Takes a string array of shares encoded in Base64 created via Shamir's Algorithm.\nEach string must be of equal length of a multiple of 88 characters\nas a single 88 character share is a pair of 256-bit numbers (x, y).","ref":"SSS.html#decode_share_base64/1"},{"type":"function","title":"SSS.decode_share_hex/1","doc":"Takes a string array of shares encoded in Hex created via Shamir's Algorithm.\nEach string must be of equal length of a multiple of 128 characters\nas a single 128 character share is a pair of 256-bit numbers (x, y).","ref":"SSS.html#decode_share_hex/1"},{"type":"function","title":"SSS.from_base64/1","doc":"Returns the number base64 in base 10 Int representation.\nnote: this is not coming from a string representation; the base64 input\nis exactly 256 bits long, and the output is an arbitrary size base 10 integer.","ref":"SSS.html#from_base64/1"},{"type":"function","title":"SSS.from_hex/1","doc":"Returns the number Hex in base 10 Int representation.\nnote: this is not coming from a string representation; the Hex input is\nexactly 256 bits long, and the output is an arbitrary size base 10 integer.","ref":"SSS.html#from_hex/1"},{"type":"function","title":"SSS.gen_zero_matrix_2d/2","doc":"Create a Zero Matrix(mxn) m-row and n-column","ref":"SSS.html#gen_zero_matrix_2d/2"},{"type":"function","title":"SSS.gen_zero_matrix_3d/3","doc":"Create a l-layer, m-row, n-column zero matrix(lxmxn)","ref":"SSS.html#gen_zero_matrix_3d/3"},{"type":"function","title":"SSS.get_matrix_2d/3","doc":"Get an Element in a 2D Matrix(mxn) at index x-row, y-column","ref":"SSS.html#get_matrix_2d/3"},{"type":"function","title":"SSS.get_matrix_3d/4","doc":"Get an Element in a 3D Matrix(lxmxn) at index x-layer, y-row, z-column","ref":"SSS.html#get_matrix_3d/4"},{"type":"function","title":"SSS.get_prime/0","doc":"","ref":"SSS.html#get_prime/0"},{"type":"function","title":"SSS.is_valid_share_base64/1","doc":"Takes in a given string to check if it is a valid secret\n\nRequirements:\n  Length multiple of 88\n  Can decode each 44 character block as Base64\n\nReturns raise if exist","ref":"SSS.html#is_valid_share_base64/1"},{"type":"function","title":"SSS.is_valid_share_hex/1","doc":"Takes in a given string to check if it is a valid secret\n\nRequirements:\n \tLength multiple of 128\n\tCan decode each 64 character block as Hex\n\nReturns raise if exist","ref":"SSS.html#is_valid_share_hex/1"},{"type":"function","title":"SSS.merge_int_to_string/1","doc":"Converts an array of Ints to the original string secret, removing any least significant nulls.","ref":"SSS.html#merge_int_to_string/1"},{"type":"function","title":"SSS.modinv/2","doc":"Computes the multiplicative inverse of the number on the field @prime.","ref":"SSS.html#modinv/2"},{"type":"function","title":"SSS.random_number/0","doc":"Returns a random number from the range 1 <= n <= @prime-1 inclusive","ref":"SSS.html#random_number/0"},{"type":"function","title":"SSS.split_secret_to_int/1","doc":"Converts a string secret into a 256-bit Int array, array based upon size of the input string.\nAll values are right-padded to length 256, even if the most significant bit is zero.","ref":"SSS.html#split_secret_to_int/1"},{"type":"function","title":"SSS.to_base64/1","doc":"Returns the Int number base10 in base64 representation.\nnote: this is not a string representation; the base64 output is exactly 256 bits long.","ref":"SSS.html#to_base64/1"},{"type":"function","title":"SSS.to_hex/1","doc":"Returns the Int number base10 in Hex representation.\nnote: this is not a string representation; the Hex output is exactly 256 bits long.","ref":"SSS.html#to_hex/1"},{"type":"function","title":"SSS.update_matrix_2d/4","doc":"Update an Element in a 2D Matrix(mxn) at index x-row, y-column","ref":"SSS.html#update_matrix_2d/4"},{"type":"function","title":"SSS.update_matrix_3d/5","doc":"Update an Element in a 3D Matrix(lxmxn) at index x-layer, y-row, z-column","ref":"SSS.html#update_matrix_3d/5"},{"type":"function","title":"SSS.validator_combine/2","doc":"Validator combine shares input.","ref":"SSS.html#validator_combine/2"},{"type":"function","title":"SSS.validator_create/3","doc":"","ref":"SSS.html#validator_create/3"},{"type":"module","title":"SSS.CreatePointSecret","doc":"","ref":"SSS.CreatePointSecret.html"},{"type":"function","title":"SSS.CreatePointSecret.create_point_secret/8","doc":"","ref":"SSS.CreatePointSecret.html#create_point_secret/8"},{"type":"module","title":"SSS.EncodeSecret","doc":"","ref":"SSS.EncodeSecret.html"},{"type":"function","title":"SSS.EncodeSecret.encode_secret/4","doc":"","ref":"SSS.EncodeSecret.html#encode_secret/4"},{"type":"module","title":"SSS.LPIProductLoop","doc":"","ref":"SSS.LPIProductLoop.html"},{"type":"function","title":"SSS.LPIProductLoop.lpi_product_loop/8","doc":"","ref":"SSS.LPIProductLoop.html#lpi_product_loop/8"},{"type":"module","title":"SSS.LPISecretsLoop","doc":"","ref":"SSS.LPISecretsLoop.html"},{"type":"function","title":"SSS.LPISecretsLoop.lpi_secrets_loop/4","doc":"","ref":"SSS.LPISecretsLoop.html#lpi_secrets_loop/4"},{"type":"module","title":"SSS.LPISumLoop","doc":"","ref":"SSS.LPISumLoop.html"},{"type":"function","title":"SSS.LPISumLoop.lpi_sum_loop/5","doc":"","ref":"SSS.LPISumLoop.html#lpi_sum_loop/5"},{"type":"module","title":"SSS.Polynomial","doc":"Evaluates a polynomial with coefficients specified in reverse order:\n  evaluatePolynomial([a, b, c, d], x):\n    return a + bx + cx^2 + dx^3\nHorner's method: ((dx + c)x + b)x + a","ref":"SSS.Polynomial.html"},{"type":"function","title":"SSS.Polynomial.evaluate_polynomial/5","doc":"","ref":"SSS.Polynomial.html#evaluate_polynomial/5"},{"type":"module","title":"SSS.SetMatrix3DPointsSharesBase64","doc":"","ref":"SSS.SetMatrix3DPointsSharesBase64.html"},{"type":"function","title":"SSS.SetMatrix3DPointsSharesBase64.set_matrix_3d_points_shares_base64/4","doc":"","ref":"SSS.SetMatrix3DPointsSharesBase64.html#set_matrix_3d_points_shares_base64/4"},{"type":"module","title":"SSS.SetMatrix3DPointsSharesHex","doc":"","ref":"SSS.SetMatrix3DPointsSharesHex.html"},{"type":"function","title":"SSS.SetMatrix3DPointsSharesHex.set_matrix_3d_points_shares_hex/4","doc":"","ref":"SSS.SetMatrix3DPointsSharesHex.html#set_matrix_3d_points_shares_hex/4"},{"type":"module","title":"SSS.SetMatrix3DPointsXYBase64","doc":"","ref":"SSS.SetMatrix3DPointsXYBase64.html"},{"type":"function","title":"SSS.SetMatrix3DPointsXYBase64.set_matrix_3d_points_xy_base64/5","doc":"","ref":"SSS.SetMatrix3DPointsXYBase64.html#set_matrix_3d_points_xy_base64/5"},{"type":"module","title":"SSS.SetMatrix3DPointsXYHex","doc":"","ref":"SSS.SetMatrix3DPointsXYHex.html"},{"type":"function","title":"SSS.SetMatrix3DPointsXYHex.set_matrix_3d_points_xy_hex/5","doc":"","ref":"SSS.SetMatrix3DPointsXYHex.html#set_matrix_3d_points_xy_hex/5"},{"type":"module","title":"SSS.SetPolynomialMinimum","doc":"","ref":"SSS.SetPolynomialMinimum.html"},{"type":"function","title":"SSS.SetPolynomialMinimum.set_polynomial_minimum/5","doc":"","ref":"SSS.SetPolynomialMinimum.html#set_polynomial_minimum/5"},{"type":"module","title":"SSS.SetPolynomialPart","doc":"","ref":"SSS.SetPolynomialPart.html"},{"type":"function","title":"SSS.SetPolynomialPart.set_polynomial_part/6","doc":"","ref":"SSS.SetPolynomialPart.html#set_polynomial_part/6"},{"type":"module","title":"SSS.UniqueList","doc":"","ref":"SSS.UniqueList.html"},{"type":"function","title":"SSS.UniqueList.generate/2","doc":"","ref":"SSS.UniqueList.html#generate/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}